Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class X509CRLObject

    java.lang.Object
      |
      +--java.security.cert.CRL
            |
            +--java.security.cert.X509CRL
                  |
                  +--org.bouncycastle.jce.provider.X509CRLObject

All Implemented Interfaces:
  X509Extension

public class X509CRLObject
extends X509CRL

The following extensions are listed in RFC 2459 as relevant to CRLs Authority Key Identifier Issuer Alternative Name CRL Number Delta CRL Indicator (critical) Issuing Distribution Point (critical)

Constructor Summary
`X509CRLObject(CertificateList c)`

Method Summary
`Set` | `getCriticalExtensionOIDs()`
`byte[]` | `getEncoded()`
`byte[]` | `getExtensionValue(java.lang.String oid)`
`java.security.Principal` | `getIssuerDN()`
`java.util.Date` | `getNextUpdate()`
`Set` | `getNonCriticalExtensionOIDs()`
`X509CRLEntry` | `getRevokedCertificate(java.math.BigInteger serialNumber)`
`Set` | `getRevokedCertificates()`
`java.lang.String` | `getSigAlgName()`
`java.lang.String` | `getSigAlgOID()`
`byte[]` | `getSigAlgParams()`
`byte[]` | `getSignature()`
`byte[]` | `getTBSCertList()`
`java.util.Date` | `getThisUpdate()`
`int` | `getVersion()`
`boolean` | `hasUnsupportedCriticalExtension()` Will return true if any extensions are present and marked as critical as we currently dont handle any extensions!
`boolean` | `isRevoked(Certificate cert)` Checks whether the given certificate is on this CRL.
`java.lang.String` | `toString()` Returns a string representation of this CRL.
`void` | `verify(java.security.PublicKey key)`
`void` | `verify(java.security.PublicKey key, java.lang.String sigProvider)`

Methods inherited from class java.security.cert.X509CRL
`equals, hashCode`

Methods inherited from class java.security.cert.CRL
`getType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X509CRLObject

    public X509CRLObject(CertificateList c)

Method Detail

### hasUnsupportedCriticalExtension

    public boolean hasUnsupportedCriticalExtension()

  Will return true if any extensions are present and marked as critical as we currently dont handle any extensions!

### getCriticalExtensionOIDs

    public Set getCriticalExtensionOIDs()

### getNonCriticalExtensionOIDs

    public Set getNonCriticalExtensionOIDs()

### getExtensionValue

    public byte[] getExtensionValue(java.lang.String oid)

### getEncoded

    public byte[] getEncoded()
                      throws CRLException

  Specified by:
    `getEncoded` in class `X509CRL`
    `CRLException`

### verify

    public void verify(java.security.PublicKey key)
                throws CRLException,
                       java.security.NoSuchAlgorithmException,
                       java.security.InvalidKeyException,
                       java.security.NoSuchProviderException,
                       java.security.SignatureException

  Specified by:
    `verify` in class `X509CRL`
    `CRLException`
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `java.security.SignatureException`

### verify

    public void verify(java.security.PublicKey key,
                       java.lang.String sigProvider)
                throws CRLException,
                       java.security.NoSuchAlgorithmException,
                       java.security.InvalidKeyException,
                       java.security.NoSuchProviderException,
                       java.security.SignatureException

  Specified by:
    `verify` in class `X509CRL`
    `CRLException`
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `java.security.SignatureException`

### getVersion

    public int getVersion()

  Specified by:
    `getVersion` in class `X509CRL`

### getIssuerDN

    public java.security.Principal getIssuerDN()

  Specified by:
    `getIssuerDN` in class `X509CRL`

### getThisUpdate

    public java.util.Date getThisUpdate()

  Specified by:
    `getThisUpdate` in class `X509CRL`

### getNextUpdate

    public java.util.Date getNextUpdate()

  Specified by:
    `getNextUpdate` in class `X509CRL`

### getRevokedCertificate

    public X509CRLEntry getRevokedCertificate(java.math.BigInteger serialNumber)

  Specified by:
    `getRevokedCertificate` in class `X509CRL`

### getRevokedCertificates

    public Set getRevokedCertificates()

  Specified by:
    `getRevokedCertificates` in class `X509CRL`

### getTBSCertList

    public byte[] getTBSCertList()
                          throws CRLException

  Specified by:
    `getTBSCertList` in class `X509CRL`
    `CRLException`

### getSignature

    public byte[] getSignature()

  Specified by:
    `getSignature` in class `X509CRL`

### getSigAlgName

    public java.lang.String getSigAlgName()

  Specified by:
    `getSigAlgName` in class `X509CRL`

### getSigAlgOID

    public java.lang.String getSigAlgOID()

  Specified by:
    `getSigAlgOID` in class `X509CRL`

### getSigAlgParams

    public byte[] getSigAlgParams()

  Specified by:
    `getSigAlgParams` in class `X509CRL`

### toString

    public java.lang.String toString()

  Returns a string representation of this CRL.

  Specified by:
    `toString` in class `CRL`
  Returns:
    a string representation of this CRL.

### isRevoked

    public boolean isRevoked(Certificate cert)

  Checks whether the given certificate is on this CRL.

  Specified by:
    `isRevoked` in class `CRL`
  Parameters:
    `cert` - the certificate to check for.
  Returns:
    true if the given certificate is on this CRL, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD